%define upstream_name    IO-Socket-TIPC
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Struct sockaddr_tipc class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl-devel

%description
TIPC stands for Transparent Inter-Process Communication. See
http://tipc.sf.net/ for details.

This perl module subclasses IO::Socket, in order to use TIPC sockets in the
customary (and convenient) Perl fashion.

TIPC supports 4 types of socket: _SOCK_STREAM_, _SOCK_SEQPACKET_,
_SOCK_RDM_ and _SOCK_DGRAM_. These are all available through this perl API,
though the usage varies depending on which kind of socket you use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc TODO README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-8.mga5
+ Revision: 750193
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-7.mga5
+ Revision: 685083
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.80.0-6.mga5
+ Revision: 631292
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-5.mga4
+ Revision: 524637
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.80.0-4.mga4
+ Revision: 431239
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-3.mga3
+ Revision: 368563
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.80.0-2.mga3
+ Revision: 250787
- rebuild for perl 5.16

* Sat Nov 05 2011 kharec <kharec> 1.80.0-1.mga2
+ Revision: 163704
- imported package perl-IO-Socket-TIPC


* Sat Nov 05 2011 cpan2dist 1.08-1mga
- initial mageia release, generated with cpan2dist
